You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/x11/roxterm/Makefile 327777 2013-09-20 23:43:19Z 
bapt $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/10amd64-default/2013-10-17_07h20m58s/logs/roxterm-2.7.2.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/10amd64-default/2013-10-17_07h20m58s
Log:

====>> Building x11/roxterm
build started at Thu Oct 17 20:24:55 UTC 2013
port directory: /usr/ports/x11/roxterm
building for: FreeBSD 10amd64-default-job-04 10.0-BETA1 FreeBSD 10.0-BETA1 
r256420 amd64
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/x11/roxterm/Makefile 327777 2013-09-20 
23:43:19Z bapt $
Poudriere version: 3.1-pre

---Begin Environment---
OSVERSION=1000500
UNAME_v=FreeBSD 10.0-BETA1 r256420
UNAME_r=10.0-BETA1
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/10amd64-default/ref
PKG_EXT=txz
tpid=43184
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=roxterm-2.7.2
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=10amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for roxterm-2.7.2:
     DOCS=on: Build and/or install documentation
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" PYTHON="/usr/local/bin/python2.7" 
PKG_CONFIG=pkgconf SHELL=/bin/sh CONFIG_SHELL=/bin/sh   
LIBTOOL=/usr/local/bin/libtool  LIBTOOLIZE=/usr/local/bin/libtoolize  
LIBTOOL_LIBEXECDIR=/usr/local/libexec/libtool  
LIBTOOL_SHAREDIR=/usr/local/share/libtool  
LIBTOOL_M4=/usr/local/share/aclocal/libtool.m4  
LTMAIN=/usr/local/share/libtool/config/ltmain.sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES   
LIBTOOL=/usr/local/bin/libtool  LIBTOOLIZE=/usr/local/bin/libtoolize  
LIBTOOL_LIBEXECDIR=/usr/local/libexec/libtool  
LIBTOOL_SHAREDIR=/usr/local/share/libtool  
LIBTOOL_M4=/usr/local/share/aclocal/libtool.m4  
LTMAIN=/usr/local/share/libtool/config/ltmain.sh PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/roxterm
DOCSDIR=/usr/local/share/doc/roxterm
EXAMPLESDIR=/usr/local/share/examples/roxterm
WWWDIR=/usr/local/www/roxterm
ETCDIR=/usr/local/etc/roxterm
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for roxterm-2.7.2
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   roxterm-2.7.2 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_8.txz
Installing pkg-1.1.4_8... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of roxterm-2.7.2
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by roxterm-2.7.2 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by roxterm-2.7.2 for building
=> SHA256 Checksum OK for roxterm-2.7.2.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by roxterm-2.7.2 for building
===>  Extracting for roxterm-2.7.2
=> SHA256 Checksum OK for roxterm-2.7.2.tar.bz2.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for roxterm-2.7.2
===========================================================================
=======================<phase: build-depends  >============================
===>   roxterm-2.7.2 depends on package: py27-lockfile>0 - not found
===>    Verifying install for py27-lockfile>0 in /usr/ports/devel/py-lockfile
===>   Installing existing package /packages/All/py27-lockfile-0.9.1.txz
Installing py27-lockfile-0.9.1...Installing python27-2.7.5_3...Installing 
gettext-0.18.3.1... done
 done
Installing python2-2_1... done
Installing python-2.7_1,2... done
 done
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
===>   Returning to build of roxterm-2.7.2
===>   roxterm-2.7.2 depends on package: docbook-xsl>0 - not found
===>    Verifying install for docbook-xsl>0 in /usr/ports/textproc/docbook-xsl
===>   Installing existing package /packages/All/docbook-xsl-1.76.1_1.txz
Installing docbook-xsl-1.76.1_1...Installing xmlcharent-0.3_2...Installing 
xmlcatmgr-2.2... + Creating /usr/local/share/sgml/catalog
 + Registering CATALOG catalog.ports (SGML)
 + Creating /usr/local/share/sgml/catalog.ports
 + Creating /usr/local/share/xml/catalog
 + Registering nextCatalog catalog.ports (XML)
 + Creating /usr/local/share/xml/catalog.ports
 done
 done
Installing iso8879-1986_3... done
Installing docbook-xml-4.5... done
Installing docbook-xml-4.4_1... done
Installing docbook-xml-4.3... done
Installing docbook-xml-4.2_1... done
Installing docbook-sk-4.1.2_4... done
Installing docbook-5.0_1... done
Installing docbook-4.5_2... done
Installing docbook-4.4_2... done
Installing docbook-4.3... done
Installing docbook-4.2... done
Installing docbook-4.1_4... done
Installing docbook-1.4_1... done
 done
The following catalogs are installed:

 1) /usr/local/share/sgml/catalog

   The top level catalog for SGML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 2) /usr/local/share/sgml/catalog.ports

   This catalog is for handling SGML stuff installed under
   /usr/local/share/sgml.  It is changed by ports/packages.

 3) /usr/local/share/xml/catalog

   The top level catalog for XML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 4) /usr/local/share/xml/catalog.ports

   This catalog is for handling XML stuff installed under
   /usr/local/share/xml.  It is changed by ports/packages.
===>   Returning to build of roxterm-2.7.2
===>   roxterm-2.7.2 depends on executable: xsltproc - not found
===>    Verifying install for xsltproc in /usr/ports/textproc/libxslt
===>   Installing existing package /packages/All/libxslt-1.1.28_1.txz
Installing libxslt-1.1.28_1...Installing libxml2-2.8.0_2... done
Installing libgpg-error-1.12... done
Installing libgcrypt-1.5.3... done
 done
===>   Returning to build of roxterm-2.7.2
===>   roxterm-2.7.2 depends on file: /usr/local/bin/python2.7 - found
===>   roxterm-2.7.2 depends on executable: python - found
===>   roxterm-2.7.2 depends on executable: pkgconf - not found
===>    Verifying install for pkgconf in /usr/ports/devel/pkgconf
===>   Installing existing package /packages/All/pkgconf-0.9.3.txz
Installing pkgconf-0.9.3... done
===>   Returning to build of roxterm-2.7.2
===>   roxterm-2.7.2 depends on package: libtool>=2.4 - not found
===>    Verifying install for libtool>=2.4 in /usr/ports/devel/libtool
===>   Installing existing package /packages/All/libtool-2.4.2_2.txz
Installing libtool-2.4.2_2... done
===>   Returning to build of roxterm-2.7.2
===>   roxterm-2.7.2 depends on executable: gtk-update-icon-cache - not found
===>    Verifying install for gtk-update-icon-cache in 
/usr/ports/graphics/gtk-update-icon-cache
===>   Installing existing package 
/packages/All/gtk-update-icon-cache-2.24.19.txz
Installing gtk-update-icon-cache-2.24.19...Installing xproto-7.0.24... done
Installing xineramaproto-1.2.1... done
Installing xextproto-7.2.1... done
Installing xcb-util-renderutil-0.3.8...Installing 
xcb-util-0.3.9_1,1...Installing libxcb-1.9.1...Installing libXdmcp-1.1.1... done
Installing libXau-1.0.8... done
Installing libpthread-stubs-0.3_3... done
 done
 done
 done
Installing renderproto-0.11.1... done
Installing randrproto-1.4.0... done
Installing pixman-0.30.2... done
Installing libXrender-0.9.8...Installing kbproto-1.0.6... done
Installing libX11-1.6.2,1... done
 done
Installing libXrandr-1.4.2...Installing libXext-1.3.2,1... done
 done
Installing libXinerama-1.1.3,1... done
Installing libXi-1.7.2,1...Installing libXfixes-5.0.1...Installing 
fixesproto-5.0... done
 done
Installing inputproto-2.3... done
 done
Installing libXdamage-1.1.4...Installing damageproto-1.2.1... done
 done
Installing libXcursor-1.1.14... done
Installing libXcomposite-0.4.4,1...Installing compositeproto-0.4.2... done
 done
Installing libSM-1.2.2,1...Installing libICE-1.0.8,1... done
 done
Installing pango-1.34.1_1...Installing xorg-fonts-truetype-7.7_1...Installing 
mkfontscale-1.1.1...Installing libfontenc-1.1.2... done
Installing freetype2-2.5.0.1... done
 done
Installing mkfontdir-1.0.7... done
Installing fontconfig-2.10.95,1...Installing expat-2.1.0... done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
 done
Installing font-util-1.3.0... done
Installing font-misc-meltho-1.0.3... done
Installing font-misc-ethiopic-1.0.3... done
Installing font-bh-ttf-1.0.3... done
Installing encodings-1.0.4,1... done
Installing dejavu-2.34... done
 done
Installing libXft-2.3.1... done
Installing harfbuzz-0.9.19...Installing perl-5.14.4_2...Removing 
/usr/local/etc/perl5_version... Done.
Creating /usr/local/etc/perl5_version... Done.
Removing stale symlinks from /usr/bin...
    Skipping /usr/bin/perl
    Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl5
Done.
 done
Installing png-1.5.17... done
Installing graphite2-1.2.3... done
Installing cairo-1.10.2_6,2...Installing pcre-8.33... done
Installing libffi-3.0.13... done
Installing glib-2.36.3...No schema files found: doing nothing.
 done
 done
Installing icu-50.1.2... done
 done
Installing gnomehier-3.0... done
 done
Installing libXt-1.1.4,1... done
Installing shared-mime-info-1.1... done
Installing hicolor-icon-theme-0.12... done
Installing tiff-4.0.3...Installing jpeg-8_4... done
Installing jbigkit-1.6... done
 done
Installing jasper-1.900.1_12... done
Installing gdk-pixbuf2-2.28.2... done
Installing atk-2.8.0... done
 done
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/lib/X11/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
===>   Returning to build of roxterm-2.7.2
===>   roxterm-2.7.2 depends on file: /usr/local/bin/intltool-extract - not 
found
===>    Verifying install for /usr/local/bin/intltool-extract in 
/usr/ports/textproc/intltool
===>   Installing existing package /packages/All/intltool-0.50.2.txz
Installing intltool-0.50.2...Installing p5-XML-Parser-2.41_1... done
 done
===>   Returning to build of roxterm-2.7.2
===========================================================================
=======================<phase: lib-depends    >============================
===>   roxterm-2.7.2 depends on shared library: libintl.so - found
===>   roxterm-2.7.2 depends on shared library: dbus-glib-1 - not found
===>    Verifying install for dbus-glib-1 in /usr/ports/devel/dbus-glib
===>   Installing existing package /packages/All/dbus-glib-0.100.2.txz
Installing dbus-glib-0.100.2...Installing gnome_subr-1.0... done
Installing dbus-1.6.12...===> Creating users and/or groups.
Creating group 'messagebus' with gid '556'.
Creating user 'messagebus' with uid '556'.
 done
 done
===>   Returning to build of roxterm-2.7.2
===>   roxterm-2.7.2 depends on shared library: atk-1.0 - found
===>   roxterm-2.7.2 depends on shared library: gdk_pixbuf-2.0 - found
===>   roxterm-2.7.2 depends on shared library: glib-2.0 - found
===>   roxterm-2.7.2 depends on shared library: pcre - found
===>   roxterm-2.7.2 depends on shared library: gtk-x11-2.0.0 - not found
===>    Verifying install for gtk-x11-2.0.0 in /usr/ports/x11-toolkits/gtk20
===>   Installing existing package /packages/All/gtk2-2.24.19_2.txz
Installing gtk2-2.24.19_2...Installing cups-client-1.5.4_1... done
 done
===>   Returning to build of roxterm-2.7.2
===>   roxterm-2.7.2 depends on shared library: glade-2.0.0 - not found
===>    Verifying install for glade-2.0.0 in /usr/ports/devel/libglade2
===>   Installing existing package /packages/All/libglade2-2.6.4_5.txz
Installing libglade2-2.6.4_5... done
===>   Returning to build of roxterm-2.7.2
===>   roxterm-2.7.2 depends on shared library: gsf-1.114 - not found
===>    Verifying install for gsf-1.114 in /usr/ports/devel/libgsf
===>   Installing existing package /packages/All/libgsf-1.14.28.txz
Installing libgsf-1.14.28... done
===>   Returning to build of roxterm-2.7.2
===>   roxterm-2.7.2 depends on shared library: rsvg-2.2 - not found
===>    Verifying install for rsvg-2.2 in /usr/ports/graphics/librsvg2
===>   Installing existing package /packages/All/librsvg2-2.36.4.txz
Installing librsvg2-2.36.4...Installing gtk-engines2-2.20.2_1... done
Installing libcroco-0.6.8... done
 done
===>   Returning to build of roxterm-2.7.2
===>   roxterm-2.7.2 depends on shared library: xml2.5 - found
===>   roxterm-2.7.2 depends on shared library: pango-1.0 - found
===>   roxterm-2.7.2 depends on shared library: vte.9 - not found
===>    Verifying install for vte.9 in /usr/ports/x11-toolkits/vte
===>   Installing existing package /packages/All/vte-0.26.2_4.txz
Installing vte-0.26.2_4... done
===>   Returning to build of roxterm-2.7.2
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for roxterm-2.7.2
make[0]: Entering directory 
"/wrkdirs/usr/ports/x11/roxterm/work/roxterm-2.7.2/build"
Traceback (most recent call last):
  File "mscript.py", line 8, in <module>
    MCFLAGS = "${CPPFLAGS} -I. -I${SRC_DIR} -D_GNU_SOURCE -DHAVE_CONFIG_H")
  File "/wrkdirs/usr/ports/x11/roxterm/work/roxterm-2.7.2/maitch.py", line 328, 
in __init__
    d = v[1](v[0])
  File "/wrkdirs/usr/ports/x11/roxterm/work/roxterm-2.7.2/maitch.py", line 
2327, in find_prog_by_var
    return find_prog(p)
  File "/wrkdirs/usr/ports/x11/roxterm/work/roxterm-2.7.2/maitch.py", line 
2299, in find_prog
    raise MaitchNotFoundError("%s program not found in PATH" % name)
maitch.MaitchNotFoundError: gcc program not found in PATH
*** Error code 1

Stop.
make: stopped in /usr/ports/x11/roxterm
===>  Cleaning for roxterm-2.7.2
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to